Bug 961854 - [RFE] libvirt: Add/improve support for VHD/VHDX format
Summary: [RFE] libvirt: Add/improve support for VHD/VHDX format
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: libvirt
Version: 8.0
Hardware: All
OS: All
unspecified
low
Target Milestone: rc
: 8.0
Assignee: Martin Kletzander
QA Contact: Han Han
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 879234 1006159 1007176
Blocks: 977441
TreeView+ depends on / blocked
 
Reported: 2013-05-10 15:02 UTC by Richard W.M. Jones
Modified: 2019-02-22 22:09 UTC (History)
19 users (show)

(edit)
Clone Of: 879234
(edit)
Last Closed: 2019-02-05 08:35:38 UTC


Attachments (Terms of Use)

Comment 2 Richard W.M. Jones 2013-05-10 15:05:47 UTC
Test images:
http://oirase.annexia.org/tmp/f18x64.vhdx.xz
http://oirase.annexia.org/tmp/blank.vhdx.xz

The first is a F18 disk image, of virtual size 20 GB.

The second is a completely blank disk image, of virtual size 1 GB.

Note that you will need qemu from git (or possibly 1.5)
for any of this to work.

Comment 4 Daniel Berrange 2013-05-10 15:54:54 UTC
Unfortunately supporting VDHX format is not as easy as I expected. You can't simply look at specific offsets in the file to determine the VDHX version, capacity or backing file. You have to actually do quite a bit of careful parsing of headers. This will require some re-factoring of the way libvirt probes storage metadata to support, rather than just adding a few offsets to the existing data tables.

Comment 10 Jaroslav Suchanek 2019-02-05 08:35:38 UTC
Closing accordingly to v2v bug 761199. If there is real requirement for this feature please reopen this bug with additional justification. Thanks.


Note You need to log in before you can comment on or make changes to this bug.